using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FLY.Thick.FilmCasting.Server.Model;
using FObjBase;
using FObjBase.Reflect;

namespace FLY.Thick.FilmCasting.IService
{
    public interface IShareDbService
    {
        [Call(typeof(Db_Profile))]
        void GetProfile(AsyncCBHandler asyncDelegate, object asyncContext);

        [Push(typeof(ProfileChangedEventArgs))]
        event EventHandler ProfileChanged;

        [Push(typeof(ScanDataAddedEventArgs))]
        event EventHandler ScanDataAdded;
        void FinishProfile();
    }
    public class ProfileChangedEventArgs : EventArgs
    {
        /// <summary>
        /// 不是insert，就是update
        /// </summary>
        public bool isInsert;

        public Db_Profile profile;
    }


    public class ScanDataAddedEventArgs : EventArgs
    {
        public Lc_ScanData scandata;
    }
}
